/* This is a wrapper around amouse, allowing for the mouse-device to
 * be closed and reopened several times. This is to be sued if a
 * program is to release its mouse upon switch from its vt. */

#ifndef __LATENTMOUSELIB_H__
#define __LATENTMOUSELIB_H__

#include <ws/mouselib.h>


typedef struct
 {
  Mouse     mouse;
  MouseInit hw;
  String    dev;
 } LatentMouse;


extern int  latentMouseCreat(LatentMouse *lm, MouseInit hw, String dev, MouseHandler handler, void *handlerData, Size size[MOUSE_DIMENSIONS], Coordinate position[MOUSE_DIMENSIONS]);
extern void latentMouseDestroy(LatentMouse *lm);
extern int  latentMouseOpen(LatentMouse *lm);
extern void latentMouseClose(LatentMouse *lm);

#endif /* __LATENTMOUSELIB_H__ */
