/* Glue between kblib (see kblib.h) and a mainloop (see
 * mainlooplib.h). It is basically a mainloop-handler that can be
 * attached to the stdin filedescriptor, and will do a kbread on the
 * keyboard structure supplied as data. */

#ifndef __MAINLOOPKBLIB_H__
#define __MAINLOOPKBLIB_H__

#include <ws/kblib.h>
#include <ws/mainlooplib.h>


void mainLoopKBRead(MainLoop *mainloop, int fd, short events, void *data);

#endif /* __MAINLOOPKBLIB_H__ */
