/* Glue between mouselib (see mouselib.h) and a mainloop (see
 * mainlooplib.h). It is basically a mainloop-handler that can be
 * attached to the stdin filedescriptor, and will do a mouseread on
 * the keyboard structure supplied as data. */

#ifndef __MAINLOOPMOUSELIB_H__
#define __MAINLOOPMOUSELIB_H__

#include <ws/mouselib.h>
#include <ws/mainlooplib.h>


void mainLoopMouseRead(MainLoop *mainloop, int fd, short events, void *data);

#endif /* __MAINLOOPMOUSELIB_H__ */
