/* This library reads in images from files and creates
 * OffscreenBuffers out of them. For supported filetypes, please see
 * imagefiletypelib.h */

#ifndef __READLIB_H__
#define __READLIB_H__

#include <ws/fblib.h>


typedef void (*ProgressInformationFunc)(int current, int total);

void howfarDoNothing(int current, int total);

extern int  offscreenBufferNewFromFile(FrameBuffer *ob, Int fd, ProgressInformationFunc progress, Colour bg);
extern int  offscreenBufferNewFromFileAndDepth(FrameBuffer *ob, Int depth, Int fd, ProgressInformationFunc progress, Colour bg);
extern int  offscreenBufferNewFromFileAndExisting(FrameBuffer *ob, FrameBuffer *fb, Int fd, ProgressInformationFunc progress, Colour bg);

#endif /* __READLIB_H__ */
