#ifndef __MISC_H__
#define __MISC_H__

/* Type definitions
 */

typedef enum
 {
  TRUE = 1,
  FALSE = 0
 } Boolean;

typedef void           *VoidPointer;
typedef char            Char;
typedef unsigned char   UnsignedChar;
typedef signed char     SignedChar;
typedef int             Int;
typedef unsigned int    UnsignedInt;
typedef signed int      SignedInt;
typedef long            Long;
typedef unsigned long   UnsignedLong;
typedef signed long     SignedLong;
typedef double          Double;
typedef char           *String;

#define VoidPointerCopy(x) x
#define CharCopy(x) x
#define UnsignedCharCopy(x) x
#define SignedCharCopy(x) x
#define IntCopy(x) x
#define UnsignedIntCopy(x) x
#define SignedIntCopy(x) x
#define LongCopy(x) x
#define UnsignedLongCopy(x) x
#define SignedLongCopy(x) x
#define DoubleCopy(x) x
#define StringCopy(x) duplicatef(x)

#define VoidPointerDelete(x)
#define CharDelete(x)
#define UnsignedCharDelete(x)
#define SignedCharDelete(x)
#define IntDelete(x)
#define UnsignedIntDelete(x)
#define SignedIntDelete(x)
#define LongDelete(x)
#define UnsignedLongDelete(x)
#define SignedLongDelete(x)
#define DoubleDelete(x)
#define StringDelete(x) free(*(x))

/* Usefull defines
 */

#define MIN(a, b) ((a) < (b) ? (a) : (b))
#define MAX(a, b) ((a) > (b) ? (a) : (b))

#define DIFF(a, b) ((a) > (b) ? (a) - (b) : (b) - (a))
#define RIGHTDIFF(a, b) ((a) > (b) ? (a) - (b) : 0)
#define LEFTDIFF(a, b) ((a) > (b) ? 0 : (b) - (a))

/* Aritmetic shift left (Shift x to the left n times, and copy the LSB
 * of X to the new space to the right of x) */
#define ASL(x, n) ((x << n) | ((x & 1) ? (1 << n) - 1 : 0))

#define ZEROORPOS(MACx) ((MACx) > 0 ? (MACx) : 0)

#define STRIFY(MACx) #MACx

#endif /* __MISC_H__ */
