/* This library reads XPM pictures. It uses the rgbdblib (see
 * rgbdblib.h) for rgb-name lookup. Do not use this library directly -
 * use readlib (see readlib.h). */

#ifndef __READXPM_H__
#define __READXPM_H__

#include <ws/fblib.h>
#include <ws/readlib.h>


extern int  offscreenBufferNewFromXpm(FrameBuffer *ob, Int fd, ProgressInformationFunc progress, Colour bg);
extern int  offscreenBufferNewFromXpmAndDepth(FrameBuffer *ob, Int depth, Int fd, ProgressInformationFunc progress, Colour bg);
extern int  offscreenBufferNewFromXpmAndExisting(FrameBuffer *ob, FrameBuffer *fb, Int fd, ProgressInformationFunc progress, Colour bg);

#endif /* __READXPM_H__ */
